Package org.eclipse.mat.snapshot.model

## Class NamedReference

- java.lang.Object
- - org.eclipse.mat.snapshot.model.ObjectReference
  - - org.eclipse.mat.snapshot.model.NamedReference

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `PseudoReference`

    public class NamedReference
    extends ObjectReference

A named reference.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NamedReference​(ISnapshot snapshot, long address, java.lang.String name)` Constructs a reference to a Java object with a description of why the reference occurred.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getName()` Get the description of the reference.
`int` `hashCode()`

### Methods inherited from class org.eclipse.mat.snapshot.model.ObjectReference

`getObject, getObjectAddress, getObjectId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NamedReference

    public NamedReference​(ISnapshot snapshot,
                          long address,
                          java.lang.String name)

Constructs a reference to a Java object with a description of why the reference occurred.

Parameters:
  `snapshot` - the whole dump
  `address` - the address of the target object
  `name` - the description of the reference, for example the field name, an array index

### Method Detail

#### getName

    public java.lang.String getName()

Get the description of the reference.

Returns:
  the description

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ObjectReference`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `ObjectReference`